﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com/github/hub/releases/download/v2.14.2/hub-windows-386-2.14.2.zip'
    checksum       = '16f755b80b9c0da080d4fa613670e36d7b78f4595ce096a84ffd7ac3d324ec64'
    checksumType   = 'sha256'
    url64          = 'https://github.com/github/hub/releases/download/v2.14.2/hub-windows-amd64-2.14.2.zip'
    checksum64     = '2ad771ff5e5e47c8d48aa22f6852ebef87e1fe0f53a1194ddcbe615a9ddbc59e'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
